[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.GetRealPopupParent

Gets the form that is the effective parent for the pop-up, dialog, or splash screen.

## Declaration

Source position: forms.pp line 717

`public function TCustomForm.GetRealPopupParent: TCustomForm;`

## Function result

Form instance that is the parent for the pop-up form, or Nil for a splash screen.